Bug 1332212 - [RFE] virt-v2v from RHEL Xen: Automate SSH key exchange between host and Xen server.
Summary: [RFE] virt-v2v from RHEL Xen: Automate SSH key exchange between host and Xen ...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ---
: ---
Assignee: Rob Young
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-02 14:06 UTC by Nisim Simsolo
Modified: 2020-04-01 14:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 14:44:13 UTC
oVirt Team: Virt
michal.skrivanek: ovirt-future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1303548 None None None Never

Internal Links: 1303548

Description Nisim Simsolo 2016-05-02 14:06:55 UTC
Description of problem:
In order to start importing VMs from RHEL Xen, an RSA key pair exchange is required as a prerequisite (see "steps to reproduce").
This procedure is cumbersome, should be done manually for each host in the destination environment (in order to use any host in DC as proxy host) and should be repeated again in case of any change in the keys occur (new host, new key, expired key etc.)
It would be nice to have out of the box experience for this procedure in order to simplify this feature configuration and prevent future failures in case of ssh key exchange is needed again.

Version-Release number of selected component (if applicable):
ovirt-engine-4.0.0-0.0.master.20160423161403

How reproducible:


Steps to Reproduce:
login to host CLI shell and run the next commands: 
1. edit /etc/passwd file
change  
vdsm:x:36:36:Node Virtualization Manager:/var/lib/vdsm:/sbin/nologin
to: 
vdsm:x:36:36:Node Virtualization Manager:/home/vdsm:/bin/bash 
2. Create /home/vdsm directory if it does not exist.
3. chown vdsm directory to vdsm:kvm
4. su - vdsm
5. ssh-keygen
6. ssh root@xen-server-fqdn
7. exit ssh and ssh-copy-id root@xen-server-fqdn
8. Verify authentication from RHEV host to Xen server is now passwordless.

Comment 1 Michal Skrivanek 2020-03-18 15:43:18 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 2 Michal Skrivanek 2020-03-18 15:46:37 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 3 Michal Skrivanek 2020-04-01 14:44:13 UTC
ok, closing. Please reopen if still relevant/you want to work on it.

Comment 4 Michal Skrivanek 2020-04-01 14:49:19 UTC
ok, closing. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.